<?php
// Start session and include database connection
session_start();
require 'db.php'; // Ensure db.php connects to your database

// Check if user is logged in
$isGuest = !isset($_SESSION['user_id']); // Assume user_id is set during login
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Settings - Crypto Dashboard</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background: #141414;
            color: #fff;
            margin: 0;
            padding: 0;
            overflow-x: hidden;
        }

        .navbar {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 15px 20px;
            background: #1a1a1a;
            border-bottom: 1px solid #333;
            position: relative;
            z-index: 1000;
        }

        .navbar .logo {
            display: flex;
            align-items: center;
            color: #fff;
            font-size: 1.5rem;
            font-weight: bold;
            text-decoration: none;
        }

        .navbar .logo img {
            width: 15px !important; 
            height: 15px !important; 
            margin-right: 10px !important;
            border-radius: 50% !important;
            border: 10px solid #ffcc00; 
            transition: transform 0.5s ease;
        }
        .ilogo {
    display: flex;
    justify-content: center;  
    align-items: center;      
    width: 20%;              
    height: 20;            
}

.ilogo img {
    width: 30px;             
    height: 30px;           
   
}




        .sidebar {
            position: fixed;
            top: 0;
            left: -250px;
            width: 250px;
            height: 100%;
            background: #1a1a1a;
            overflow-y: auto;
            transition: left 0.3s ease;
            z-index: 999;
            box-shadow: 2px 0 5px rgba(0, 0, 0, 0.5);
            padding-top: 60px;
        }

        .sidebar ul {
            list-style: none;
            padding: 0;
            margin: 0;
        }

        .sidebar ul li {
            padding: 15px 20px;
            border-bottom: 1px solid #333;
        }

        .sidebar ul li a {
            text-decoration: none;
            color: #fff;
            font-size: 1.2rem;
            display: block;
        }

        .sidebar ul li a:hover {
            background: #333;
        }

        .sidebar.active {
            left: 0;
        }

        .dashboard-container {
            width: 100%;
            max-width: 1200px;
            margin: 20px auto;
            padding: 20px;
            border-radius: 15px;
            background: #1a1a1a;
            
        }

        .settings-container {
            max-width: 800px;
            margin: 30px auto;
            background: #2c2c2c;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            border: 3px solid #ffcc00; 
        }

        .settings-container h2 {
            text-align: center;
            color: #ffcc00;
            margin-bottom: 30px;
        }

        .settings-container form {
            display: grid;
            gap: 20px;
        }

        .settings-container form input {
            padding: 10px;
            border: 1px solid #333;
            border-radius: 8px;
            background: #1a1a1a;
            color: #fff;
            font-size: 1rem;
            width: 100%;
        }

        .settings-container form button {
            background: linear-gradient(135deg, #b2945e, #ffcc00);
            padding: 10px 20px;
            border: none;
            border-radius: 8px;
            font-size: 1.2rem;
            cursor: pointer;
            transition: transform 0.2s;
        }

        .settings-container form button:hover {
            transform: scale(1.05);
        }

        .settings-container .logo {
            display: block;
            margin: 0 auto 20px;
        }

        .settings-container .uneditable {
            background: #333;
            color: #bbb;
            cursor: not-allowed;
        }
    </style>
</head>
<body>

    <nav class="navbar">
        <a href="#" class="logo">
            <img src="./img/icon.png" alt="Logo">
            Crypto Dashboard
        </a>
    </nav>

    <div class="sidebar">
        <ul>
            <li><a href="dashboard.php">Dashboard</a></li>
            <li><a href="transactions.php">Transactions</a></li>
            <li><a href="settings.php">Settings</a></li>
            <?php if (!$isGuest): ?>
                <li><a href="logout.php">Logout</a></li>
            <?php endif; ?>
        </ul>
    </div>

    <div class="dashboard-container">
        <?php if (!$isGuest): ?>
            <div class="settings-container">
            <img src="./img/icon.png" alt="Logo" class="ilogo" style="width: 50px; height: 50px; border-radius: 50%; border: 5px solid #ffcc00; display: block; margin: 0 auto;">

                <h2>Update Your Settings</h2>

                <form action="update_profile.php" method="POST">
                    <div>
                        <label for="username">Username</label>
                        <input type="text" id="username" name="username" value="<?= isset($_SESSION['username']) ? $_SESSION['username'] : '' ?>" class="uneditable" disabled>
                    </div>

                    <div>
                        <label for="first_name">First Name</label>
                        <input type="text" id="first_name" name="first_name" value="<?= isset($_SESSION['first_name']) ? $_SESSION['first_name'] : '' ?>" required>
                    </div>

                    <div>
                        <label for="last_name">Last Name</label>
                        <input type="text" id="last_name" name="last_name" value="<?= isset($_SESSION['last_name']) ? $_SESSION['last_name'] : '' ?>" required>
                    </div>

                    <div>
                        <label for="phone_number">Phone Number</label>
                        <input type="text" id="phone_number" name="phone_number" value="<?= isset($_SESSION['phone_number']) ? $_SESSION['phone_number'] : '' ?>" required>
                    </div>

                    <div class="form-group">
            <label for="current_password">Current Password</label>
            <input type="password" name="current_password" id="current_password" placeholder="Enter your current password">
        </div>

        <div class="form-group">
            <label for="new_password">New Password</label>
            <input type="password" name="new_password" id="new_password" placeholder="Enter a new password">
        </div>

        <div class="form-group">
            <label for="confirm_password">Confirm New Password</label>
            <input type="password" name="confirm_password" id="confirm_password" placeholder="Confirm the new password">
        </div>

                    <button type="submit">Update Settings</button>
                </form>
            </div>
        <?php else: ?>
            <p>Please log in to access the settings page.</p>
        <?php endif; ?>
    </div>

    <script>
       
        const hamburger = document.getElementById('hamburger');
        const sidebar = document.getElementById('sidebar');

        hamburger.addEventListener('click', () => {
            sidebar.classList.toggle('active');
        });
    </script>
</body>
</html>
